<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" id="ocrconfiguration" xml:lang="el">

<info>
    <link type="guide" xref="index#configuration"/>
    <link type="seealso" xref="automaticrecognition"/>
    <link type="seealso" xref="manualeditionandcorrection"/>
    <desc>Ρύθμιση των μηχανών OCR για να αναγνωρίζουν το κείμενο</desc>

    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Ελληνική μεταφραστική ομάδα GNOME</mal:name>
      <mal:email>team@gnome.gr</mal:email>
      <mal:years>2013-2016</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name> Δημήτρης Σπίγγος</mal:name>
      <mal:email>dmtrs32@gmail</mal:email>
      <mal:years>2013</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name> Μαρία Μαυρίδου</mal:name>
      <mal:email>mavridou@gmail.com</mal:email>
      <mal:years>2014</mal:years>
    </mal:credit>
  </info>

<title>Ρύθμιση μηχανών OCR</title>

<p>Το <app>OCRFeeder</app> χρησιμοποιεί μηχανές OCR για όλο το σύστημα ώστε να εξάγει το κείμενο από εικόνες. Αυτό σημαίνει ότι οποιαδήποτε μηχανή OCR που μπορεί να χρησιμοποιηθεί από τη γραμμή εντολών πρέπει επίσης να χρησιμοποιηθεί στο <app>OCRFeeder</app>.</p>

<section id="automatic">

<title>Αυτόματος εντοπισμός μηχανών OCR</title>

<p>Οι μηχανές OCR (<em>Tesseract</em>, <em>GOCR</em>, <em>Ocrad</em> και <em>Cuneiform</em>) ανιχνεύονται ήδη αυτόματα και ρυθμίζονται στα περισσότερα συστήματα, την πρώτη φορά που εκτελείται το <app>OCRFeeder</app>.</p>

<p>Αν μια μηχανή OCR εγκαταστάθηκε μετά την προηγούμενη ρύθμιση μιας μηχανής από το <app>OCRFeeder</app>, δεν θα ρυθμιστεί αυτόματα, αλλά ανάλογα με τη μηχανή, οι χρήστες μπορούν εύκολα να ανοίξουν τον διάλογο <gui>μηχανές OCR</gui> και να την επιλέξουν από την λίστα των αναγνωρισμένων μηχανών μετά το πάτημα <gui>Αναγνώριση</gui>.</p>

<note style="tip"><p>Οι ήδη ρυθμισμένες μηχανές OCR μπορούν να ανιχνευτούν ξανά και εξαρτάται από τον χρήστη να αποεπιλέξει αυτές τις μηχανές αν δεν θα έπρεπε να προστεθούν ξανά.</p></note>

</section>

<section id="manual">

<title>Χειροκίνητη διαμόρφωση</title>

<p>Οι προς το παρόν ρυθμισμένες μηχανές OCR εμφανίζονται στον διάλογο <gui>μηχανές OCR</gui> που μπορεί να ανοιχτεί από το <guiseq><gui>Εργαλεία</gui><gui>Μηχανές OCR</gui></guiseq>.</p>

<p>Εκτός από την εμφάνιση ρυθμισμένων μηχανών OCR, ο διάλογος <gui>Μηχανές OCR</gui> επιτρέπει την προσθήκη νέων μηχανών, την επεξεργασία ή διαγραφή των τρεχουσών και την αναγνώριση των εγκατεστημένων μηχανών στο σύστημα.</p>

<p>Κατά την προσθήκη ή επεξεργασία μιας μηχανής OCR (πατώντας τα κουμπιά <gui>Προσθήκη</gui> ή <gui>Επεξεργασία</gui>, αντίστοιχα), ένας διάλογος εμφανίζεται με τα ακόλουθα πεδία:</p>

<list>
    <item><p><gui>Όνομα</gui>: Το όνομα της μηχανής. Αυτό το όνομα θα χρησιμοποιηθεί σε όλη τη διεπαφή χρήστη κατά την αναφορά στην μηχανή;</p></item>
    <item><p><gui>Μορφή εικόνας</gui>: Η μορφή της εικόνας που αναγνωρίζει η μηχανή (για παράδειγμα, <em>TIF</em> στην περίπτωση της <em>Tesseract</em>)·</p></item>
    <item><p><gui>Συμβολοσειρά αποτυχίας</gui>: Κάποιες μηχανές αντικαθιστούν μη αναγνωρίσιμους χαρακτήρες από κάποιον άλλο, προκαθορισμένο χαρακτήρα (για παράδειγμα, <em>_</em> στην περίπτωση του <em>GOCR</em>).</p></item>
    <item><p><gui>Διαδρομή μηχανής</gui>: Η διαδρομή στο σύστημα στο εκτελέσιμο της μηχανής (για παράδειγμα, <em>/usr/bin/tesseract</em>).</p></item>
    <item><p><gui>Ορίσματα μηχανής</gui>: Τα ορίσματα που τροφοδοτούν μια εικόνα στη μηχανή και την κάνουν έξοδο του αναγνωρισμένου κειμένου στην τυπική έξοδο. Το <app>OCRFeeder</app> εκτελεί τη μηχανή με αυτά τα ορίσματα σαν να ήταν στη γραμμή εντολών και φαίνεται το αναγνωρισμένο κείμενο στην τυπική έξοδο. Κάποιες μηχανές το κάνουν ήδη, όπως οι <em>Ocrad</em> και <em>GOCR</em> ενώ άλλες, όπως η <em>Tesseract</em>, γράφουν το κείμενο σε αρχείο.</p>
    <p>Επειδή η διαδρομή της εικόνας που θα διαβαστεί απαιτείται πάντα, παρέχεται για αυτό ένα ειδικό όρισμα <em>$IMAGE</em> και θα αντικατασταθεί από τη διαδρομή της εικόνας, όταν εκτελείται η μηχανή. Για τις περιπτώσεις που ένα όνομα αρχείου απαιτείται, όπως στην προαναφερθείσα, ένα ειδικό όρισμα <em>$FILE</em> παρέχεται και θα αντικατασταθεί από ένα προσωρινό όνομα αρχείου.</p>
    <p>Έτσι, στην περίπτωση του <em>Tesseract</em> (που γράφει το αναγνωρισμένο κείμενο σε αρχείο), τα ορίσματα θα είναι <em>$IMAGE $FILE; cat $FILE.txt; rm $FILE</em>.</p></item>

</list>

<note style="advanced"><p>Η ρύθμιση των μηχανών αποθηκεύεται στο δικό τους αρχείο XML στον προσωπικό φάκελο του χρήστη κάτω από το <em>.config/ocrfeeder/engines/</em>.</p></note>

</section>

</page>
